//
//  clock.h
//  
//
//  Created by Melanie on 10/21/14.
//
//

#ifndef ____clock_H_
#define ____clock_H_

#include <stdio.h>

class Clock {
public:
    
    float tempo;
    //number of extant rhythmic divisions 
    int stepsInGrid = 32;
    int currentStep;
    float timeElapsed;  // keep track of elapsed time since last beat in seconds
    float stepSize; // beat duration in seconds
    float sampleRate;
    bool isPlaying;
    
    Clock(float sr, float t);
    
    // call this once per audio sample, to update the clock's time
    bool checkBeat();
    int whichBeat();
    void scaleTempo(bool up);
    void play();
    void pause();
    void stop();
    
private:
   
    void reset();
        
};
#endif /* defined(____clock__) */

