//-----------------------------------------------------------------------------
// name: ff_gfx.h
// desc: graphics stuff for bokeh visualization
//
// author: Ge Wang (ge@ccrma.stanford.edu)
//   date: 2013
//-----------------------------------------------------------------------------
#ifndef __ff_GFX_H__
#define __ff_GFX_H__

#include "x-def.h"
#include "x-gfx.h"
#include "track.h"
#include <string>



// entry point for graphics
bool ff_gfx_init( int argc, const char ** argv );
void ff_gfx_loop();
void ff_about();
void ff_keys();
void ff_help();
void ff_usage();
void ff_endline();
void ff_line();
bool ff_initTexture( const std::string & filename, XTexture * tex );
XTexture * ff_loadTexture( const std::string & filename );




#endif
