//
//  Track.h
//  
//
//  Created by Melanie on 10/23/14.
//
//

#ifndef ____Track__
#define ____Track__

#include <stdio.h>
#include <vector>
#include <string>
using namespace std;
#include <iostream>
#include "cube.h"
#include "ff_audio.h"
#include "x-audio.h"

//step class has a render cubes method, checks to see whether steps are on

class Step {
public:
    Step();
    void renderCubes(bool highlight);
   
    Cube pitch;
    
    bool is_locked = false;
    bool is_on = false;
    bool is_unPlayable = false;
};

//track handles cube interaction, renders display, handles sound of the tracks, etc
class Track {
public:
    Track(int number_steps, int id_);
    ~Track();
  
    void newStep(int stepNumber);
    void renderDisplay(); //for each step
//    void renderComposedDisplay();
    bool handleCubeInteraction(int stepNumber);
    
    std::string trackName;
    std::vector<Step> steps;
    
    int note;
  
};

#endif /* defined(____Track__) */
