#include "variation.h"


Variation::Variation(int numSteps, int eyeD, bankKey keyd, Melody * theme) : Melody (numSteps, eyeD, keyd) {
    the_theme = theme;
//    cout << "skeleton size" << skeleton.size() <<endl;
    makeSkeleton();
}

void Variation::makeSkeleton() { //could do something with eyeD
    
    //clearMelodyEachTime(int i);
        
    map<int, int>theme_skeleton = the_theme->skeleton;//skeleton of previous
    map<int, int>::iterator it;

    map<int, set<int> >theme_inputMelody = the_theme->inputMelody; //melodies received from each subsequent theme or variation
    map<int, set<int> >::iterator it2;
    
    //copy skeleton from previous
    for(it=theme_skeleton.begin(); it != theme_skeleton.end(); it++) {
       lockStep (it->second, it->first);     }
    
    int n = theme_inputMelody.size();
    float p = 0.5;
    
    //everything that not part of skeleton but is melody
    // loop over all steps
    for(it2=theme_inputMelody.begin(); it2 != theme_inputMelody.end(); it2++) {

        // add randomness
        float x = (float)rand()/RAND_MAX;
        //for each step with some probability picking it
        if (x < p) {
            set<int>::iterator it3;
            
            // loop over al notes the were on for this step
            for (it3 = it2->second.begin(); it3 != it2->second.end(); it3++) {
                lockStep(*it3, it2->first);
             
            }
            
        }
        cerr << endl;
      
    }

}
//why always playing theme and not variation--playback not wokring 